Subject: [Int-area] Re: Some more feedback on draft-bonica-internet-icmp-08

From: Ron Bonica <[email-masked]>
Date: Mon, 02 Oct 2006 11:11:22 -0400

Fernando Gont wrote:
> Folks,
> 
> A few more comments on the draft:
> 
> * While I don't expect the draft to list every possible use of the
> extensions, it might be good to add the motivation for these extensions.
> (a couple of lines, or a short paragraph)

I have added some text to the bottom of Section 2.

> 
> * The header in Figure 1 includes a "Next-Hop MTU" field. However, this
> field is included only in "frag needed and DF bit set", but not for the
> other message codes.
> 
> * Page 5, section 4:
> "   RFC 1191 [4] adds a "Next-Hop MTU" field to the Destination
>    Unreachable message."
> 
> As explained in the previous bullet, RFC 1191 modifies only "frag needed
> and DF bit set"

I have added a paragraph to the end of Section 4.1 explaining this.

> 
> * It might be a good idea to include the numerical type/codes for each
> of the messages, along with their "name".

Agree. I have added type codes to the list at the bottom of Section 4.

                          Ron

_______________________________________________
Int-area mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/int-area